package com.ruoyi.tc.entity.response;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author dong
 * @since 2024/11/21 18:36
 */
@Data
@ApiModel("核查单位信息响应类")
public class AssetdwHcResponse {


    /**
     * 单位名称
     */
    @ApiModelProperty("单位名称")
    private String dwmc;




    /**
     * 核查资产数量
     */
    @ApiModelProperty("核查资产数量")
    private Integer total;


    /**
     * 完成数量
     */
    @ApiModelProperty("完成数量")
    private Integer checked;

    /**
     * 完成数量
     */
    @ApiModelProperty("完成状态")
    private Integer taskStatus;



    /**
     * 审核退回次数
     */
    @ApiModelProperty("审核退回次数")
    private Integer shthcs;


    /**
     * 百分比
     */
    @ApiModelProperty("百分比")
    private double checkedRatio;

}
