package com.ruoyi.tc.service.impl;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.ruoyi.tc.entity.AssetOfficialAccount;
import com.ruoyi.tc.entity.po.AssetAppCpPo;
import com.ruoyi.tc.entity.po.AssetOfficialAccountCpPo;
import com.ruoyi.tc.entity.request.AssetOfficialAccountPageRequest;
import com.ruoyi.tc.mapper.AssetMiniProgramsCpMapper;
import com.ruoyi.tc.mapper.AssetOfficialAccountCpMapper;
import com.ruoyi.tc.mapper.AssetOfficialAccountMapper;
import com.ruoyi.tc.service.AssetOfficialAccountCpService;
import com.ruoyi.tc.service.AssetOfficialAccountService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

/**
 * 公众号资产(asset_official_account_cp)表服务实现类
 *
 * @author makejava
 * @since 2024-11-28 17:13:07
 */
@Service("assetOfficialAccountCpService")
public class AssetOfficialAccountCpServiceImpl extends ServiceImpl<AssetOfficialAccountCpMapper, AssetOfficialAccountCpPo> implements AssetOfficialAccountCpService {


    @Resource
    private AssetOfficialAccountCpMapper assetOfficialAccountCpMapper;
    @Override
    public void deletByAssetIdandTaskId(Long assetId, int taskId) {

        assetOfficialAccountCpMapper.deletByAssetIdandTaskId(assetId,taskId);

    }

    @Override
    public List<AssetOfficialAccountCpPo> findByTaskId(int taskId) {
        return assetOfficialAccountCpMapper.findByTaskId(taskId);
    }

    @Override
    public void updateByAssetId(Integer assetId, Integer taskId, String btgyy, Integer newThcs) {
        assetOfficialAccountCpMapper.updateByAssetId(assetId,taskId,btgyy,newThcs);
    }

    @Override
    public AssetOfficialAccountCpPo findByassetIdandTaskId(Integer assetId, Integer taskId) {
        return assetOfficialAccountCpMapper.findByassetIdandTaskId(assetId,taskId);
    }
}
